Commit 884dcfaf authored by Julien Muchembled's avatar Julien Muchembled

openvpn: fix segfaults since we upgraded to 2.3.11+

After some upstream refactoring, a #include is missing (at least up to 2.3.14),
but still pulled implicitely when openssl is built with engines. This commit
fixes the configure step, so that HAVE_OPENSSL_ENGINE is true as expected.

More on https://community.openvpn.net/openvpn/ticket/792
parent 77bfb0b0
......@@ -19,9 +19,9 @@ environment =
PATH=${xz-utils:location}/bin:%(PATH)s
LZO_LIBS=-L${lzo:location}/lib -llzo2
LZO_CFLAGS=-I${lzo:location}/include
OPENSSL_SSL_LIBS="-L${openssl:location}/lib -lssl"
OPENSSL_SSL_CFLAGS="-I${openssl:location}/include/"
OPENSSL_CRYPTO_LIBS="-L${openssl:location}/lib -lcrypto"
OPENSSL_CRYPTO_CFLAGS="-I${openssl:location}/include"
OPENSSL_SSL_LIBS=-L${openssl:location}/lib -lssl
OPENSSL_SSL_CFLAGS=-I${openssl:location}/include
OPENSSL_CRYPTO_LIBS=-L${openssl:location}/lib -lcrypto
OPENSSL_CRYPTO_CFLAGS=-I${openssl:location}/include
LDFLAGS =-Wl,-rpath=${lzo:location}/lib -Wl,-rpath=${flex:location}/lib -Wl,-rpath=${openssl:location}/lib
CPPFLAGS=-I${lzo:location}/include -I${flex:location}/include
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment